resource tls_private_key tarpit {
  algorithm = "RSA"
  rsa_bits  = 4096
}

resource vultr_ssh_key tarpit {
  name = "tarpit_ssh_key"
  ssh_key = chomp(tls_private_key.tarpit.public_key_openssh)
}

resource vultr_instance tarpit {
  # Core configuration
  plan    = var.host.plan
  region  = var.host.region
  os_id   = var.host.os
  enable_ipv6 = true


  ssh_key_ids = [ vultr_ssh_key.host.id ]
  firewall_group_id = vultr_firewall_group.host.id
  label = "Tarpit"
}


output tarpit_ssh_key {
  sensitive = true
  value = tls_private_key.host.private_key_pem
}