resource tls_private_key bastion {
  algorithm = "ED25519"
}

resource vultr_ssh_key bastion {
  name = "bastion"
  ssh_key = tls_private_key.bastion.public_key_openssh
}

resource vultr_instance bastion {
  region  = var.cluster.region
  vpc_ids = [ vultr_vpc.athens.id ]
  plan    = var.bastion.plan
  os_id   = var.bastion.os
  label   = var.bastion.label

  ssh_key_ids = [ vultr_ssh_key.bastion.id ]

  enable_ipv6         = true
  disable_public_ipv4 = false
  activation_email    = false
}

output bastion_ssh {
  value = tls_private_key.bastion.private_key_pem
  sensitive = true
}
