# API Keys required to reach AWS/Vultr
variable vultr_api_key {
  type = string
  sensitive = true
}

variable aws_key {
  type = string
  sensitive = true
}

variable aws_secret {
  type = string
  sensitive = true
}

variable aws_region {
  type = string
  sensitive = true
}

# Cluster configuration
variable cluster {
  type = object({
    region  = string
    label   = string
    version = string
    pools = map(object({
      node_quantity = number
      plan          = string
      label         = string
      min_nodes     = number
      max_nodes     = number
      tag           = string
    }))
  })
}


variable personal {
  type = object({
    namespace = string
  })
}


variable bastion {
  type = object({
    plan  = string
    os    = string
    label = string
  })
}


